Bug 983229 - [abrt] dwdiff-1.9-6.fc19: getClusterCategory: Process /usr/bin/dwdiff was killed by signal 11 (SIGSEGV)
[abrt] dwdiff-1.9-6.fc19: getClusterCategory: Process /usr/bin/dwdiff was kil...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dwdiff (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
abrt_hash:97ba46838ed12d8ee39826caae5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 14:55 EDT by James Twyford
Modified: 2015-02-17 11:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.77 KB, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: core_backtrace (469 bytes, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: dso_list (1002 bytes, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: environ (3.10 KB, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: maps (4.93 KB, text/plain)
2013-07-10 14:55 EDT, James Twyford
no flags Details
File: open_fds (281 bytes, text/plain)
2013-07-10 14:56 EDT, James Twyford
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-07-10 14:56 EDT, James Twyford
no flags Details
File: var_log_messages (357 bytes, text/plain)
2013-07-10 14:56 EDT, James Twyford
no flags Details

  None (edit)
Description James Twyford 2013-07-10 14:55:37 EDT
Description of problem:
(previous bug 982426)

After running ldconfig, dwdiff segfaults on startup

Version-Release number of selected component:
dwdiff-1.9-6.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        dwdiff a b
crash_function: getClusterCategory
executable:     /usr/bin/dwdiff
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
[New LWP 5677]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `dwdiff a b'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbea96d2740 (LWP 5677)):
#0  0x0000000000000000 in ?? ()
No symbol table info available.
#1  0x0000000000408d70 in getClusterCategory (c=<optimized out>) at src/unicode.c:300
        category = <optimized out>
#2  getClusterInternal (stream=0x1a68520, buffer=buffer@entry=0x60da28 <charData+8>, continuationTable=continuationTable@entry=0x60d720 <clusterContinuationTable>) at src/unicode.c:322
        newClusterCategory = <optimized out>
#3  0x0000000000408f3a in getCluster (stream=<optimized out>, buffer=buffer@entry=0x60da28 <charData+8>) at src/unicode.c:351
No locals.
#4  0x00000000004044de in getNextCharUTF8 (file=<optimized out>) at src/dwdiff.c:119
        retval = <optimized out>
#5  0x0000000000404b95 in readFile (file=file@entry=0x60d820 <option>) at src/dwdiff.c:293
        state = NONE
        wordCount = 0
        category = <optimized out>
#6  0x0000000000401a2a in main (argc=3, argv=0x7fff61c4e798) at src/dwdiff.c:551
No locals.
From                To                  Syms Read   Shared Object Library
0x0000003a76a05790  0x0000003a76a103c4  Yes         /lib64/libpthread.so.0
0x0000003a76e00ed0  0x0000003a76e019d0  Yes         /lib64/libdl.so.2
0x0000003a772054b0  0x0000003a7726fc08  Yes         /lib64/libm.so.6
0x0000003aa5298520  0x0000003aa5396be4  Yes         /lib64/libicui18n.so.50
0x0000003a8a8521a0  0x0000003a8a900cf8  Yes         /lib64/libicuuc.so.50
0x0000003a99200570  0x0000003a99200658  Yes (*)     /lib64/libicudata.so.50
0x0000003a7661f410  0x0000003a76761d30  Yes         /lib64/libc.so.6
0x0000003a76200ae0  0x0000003a7621ac3a  Yes         /lib64/ld-linux-x86-64.so.2
0x0000003a7ba5b510  0x0000003a7babe59a  Yes         /lib64/libstdc++.so.6
0x0000003a78602af0  0x0000003a78612198  Yes         /lib64/libgcc_s.so.1
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x47	71
rbx            0x60da28	6347304
rcx            0x3a76a0e0b0	251098357936
rdx            0x47	71
rsi            0x1012	4114
rdi            0x47	71
rbp            0x1a68520	0x1a68520
rsp            0x7fff61c4e5d8	0x7fff61c4e5d8
r8             0x0	0
r9             0x4	4
r10            0x0	0
r11            0x246	582
r12            0x60d720	6346528
r13            0x0	0
r14            0xffffffff	4294967295
r15            0x0	0
rip            0x0	0x0
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.
Comment 1 James Twyford 2013-07-10 14:55:40 EDT
Created attachment 771772 [details]
File: backtrace
Comment 2 James Twyford 2013-07-10 14:55:44 EDT
Created attachment 771773 [details]
File: cgroup
Comment 3 James Twyford 2013-07-10 14:55:47 EDT
Created attachment 771774 [details]
File: core_backtrace
Comment 4 James Twyford 2013-07-10 14:55:50 EDT
Created attachment 771775 [details]
File: dso_list
Comment 5 James Twyford 2013-07-10 14:55:53 EDT
Created attachment 771776 [details]
File: environ
Comment 6 James Twyford 2013-07-10 14:55:55 EDT
Created attachment 771777 [details]
File: limits
Comment 7 James Twyford 2013-07-10 14:55:58 EDT
Created attachment 771778 [details]
File: maps
Comment 8 James Twyford 2013-07-10 14:56:01 EDT
Created attachment 771779 [details]
File: open_fds
Comment 9 James Twyford 2013-07-10 14:56:03 EDT
Created attachment 771780 [details]
File: proc_pid_status
Comment 10 James Twyford 2013-07-10 14:56:07 EDT
Created attachment 771781 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 13:50:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 11:03:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.